:root {
    --black: #22231D;
    --black2: #27364B;
    --black3: #707070;
    --brown: #C29771;
    --gray: #F6F8FC;
    --red: #FD4E5D;

    --transition: 0.3s ease;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    overflow-x: hidden;
}

body {
    font-family: "Roboto", sans-serif;
}

a {
    text-decoration: none
}

input,
button {
    outline: none;
    border: none;
}

button {
    cursor: pointer;
}

ul {
    list-style: none;
}

.d-flex {
    display: flex !important;
}

.d-block {
    display: block !important;
}

.d-none {
    display: none !important;
}

.container {
    min-width: 320px;
    max-width: 1920px;
    margin: 0 auto;
    padding: 0 40px;
}

header {
    height: 80px;
    width: 100%;
    background-color: white;
    padding: 0 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    z-index: 1000;
}

nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    max-width: 1920px;
    position: relative;
}

.menu {

    display: flex;
    align-items: center;
    gap: 30px;
}

.menu__link {
    position: relative;
}

.menu__link {
    font-size: 16px;
    line-height: 20.8px;
    font-weight: 300;
    letter-spacing: 10%;
    cursor: pointer;
    text-transform: uppercase;
    color: var(--black2);
    transition: border var(--transition);
    position: relative;
}

.menu__link::after {
    content: '';
    position: absolute;
    width: 0;
    left: 0;
    bottom: -10px;
    height: 3px;
    background-color: var(--black);
    transition: width var(--transition);
}

.menu__link:hover::after {
    width: 100%;
}

.menu__subnav {
    display: none;
    position: absolute;
    top: 30px;
    left: 0;
    width: 100%;
    padding: 40px 20px 0px;
    background-color: white;
    z-index: 2;
}

.menu__subnav-inner {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 42px;
}

.menu__subnav-item {
    width: 100%;
    max-width: 1200px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.menu__subnav-title {
    font-size: 16px;
    font-weight: 400;
    color: var(--black3);
    text-transform: uppercase;
}

.menu__subnav-list {

    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.menu__subnav-list-item {
    padding-bottom: 16px;
    transition: transform var(--transition);
}

.menu__subnav-list-item:hover {
    transform: translateX(10px);
}

.menu__subnav-link {
    color: var(--black);
    font-size: 14px;
    font-weight: 400;
}

.menu__item.menu__item--has-child .menu__link {
    font-weight: 700;
}

.menu__subnav-aside {
    width: 100%;
    border-top: 1px solid rgb(211, 216, 223);
    border-bottom: 1px solid rgb(211, 216, 223);
    height: 38px;
    padding: 0 20px;
    display: flex;
    align-items: center;
}

.menu__subnav-aside-list {

    max-width: 1280px;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.menu__subnav-aside-item {
    line-height: 130%;
}

.menu__subnav-aside-link {
    text-transform: uppercase;
    color: var(--black);
    font-size: 14px;
    font-weight: 400;
}

.logo {
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 174px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.logo img {
    max-width: 100%;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}

.right-menu {
    display: flex;
    align-items: center;
    gap: 16px;
}

.right-menu__item {
    width: 24px;
    height: 24px;
    cursor: pointer;
}

.right-menu__item.search {
    background-image: url(../assets/icons/search.svg);
}

.right-menu__item.profile {
    background-image: url(../assets/icons/user.svg);
}

.right-menu__item.favorites {
    background-image: url(../assets/icons/heart.svg);
    position: relative;
}

.right-menu__item.basket {
    background-image: url(../assets/icons/shopping-bag.svg);
}

.favorites-count {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 12px;
    height: 12px;
    min-width: 12px;
    min-height: 12px;
    border-radius: 100px;
    background-color: var(--brown);
    font-size: 8px;
    font-weight: 400;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer {
    display: flex;
    flex-direction: column;
    max-width: 1920px;
    margin-top: 116px;
}

.footer__top {
    display: flex;
    justify-content: space-between;
    padding: 80px 120px;
    border-top: 1px solid #D3D8DF;
    gap: 20px;
}

.footer__nav-item,
.footer__nav-list,
.footer__subnav-list {
    display: flex;
}

.footer__nav-item,
.footer__subnav-list {
    flex-direction: column;
}

.footer__nav-list {
    gap: 40px;
}

.footer__nav-item {
    gap: 32px;
}

.footer__subnav-list {
    gap: 16px;
}

.footer__subscribe {
    max-width: 450px;
}

.footer__nav-title {
    color: #0F1A2A;
    font-size: 16px;
    line-height: 20.8px;
    text-transform: uppercase;
    font-weight: 400;
}

.footer__subnav-item {
    font-size: 14px;
    line-height: 18.2px;
}

.footer__link {
    font-weight: 300;
    color: #506178;
}

.footer__subscribe {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.footer__subscribe-title {
    font-size: 16x;
    font-weight: 400;
    line-height: 18.2px;
    text-transform: uppercase;
}

.footer__subscribe-text {
    font-size: 12px;
    font-weight: 300;
    line-height: 15.6px;
    color: #506178;
}

.footer__form {
    position: relative;
    padding-bottom: 8px;
    border-bottom: 1px solid #0F1A2A;
}

.footer__input {
    width: 100%;
    height: 24px;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
}

.footer__button {
    width: 24px;
    height: 24px;
    background-image: url(../assets/icons/arrow-right.svg);
    cursor: pointer;
    position: absolute;
    right: 0;
    top: 0;
    background-color: transparent;
    transition: transform var(--transition);
}

.footer__button:hover {
    transform: translateX(10px);
}

.footer__bottom {
    display: flex;
    align-items: center;
    gap: 80px;
    padding: 41px 120px;
}

.footer__policy-list,
.footer__bottom-left {
    display: flex;
    align-items: center;
    gap: 16px;
}

.footer__policy-item,
.footer__copyright {
    font-size: 14px;
    font-weight: 400;
    color: #0F1A2A;
    line-height: 21px;
}

.footer__copyright {
    margin-left: 16px;
}

.footer__policy-link {
    color: #0F1A2A;
}

.footer__policy-item-dote {
    width: 6px;
    height: 6px;
    background-color: #506178;
}

.back-to-page__content,
.back-to-page {
    display: flex;
    align-items: center;
    justify-content: center;
}

.back-to-page {
    width: 100%;
    margin-top: 112px;
}

.back-to-page__content {
    gap: 16px;
}

.back-to-page__link {
    color: var(--black3);
    font-size: 14px;
    line-height: 18.2px;
    font-weight: 400;
    transition: all var(--transition);
}

.back-to-page__link:hover {
    text-decoration: underline;
}

.back-to-page__dote {
    width: 6px;
    height: 6px;
    border-radius: 10px;
    background-color: var(--black3);
}

/* custom-multi-select */
.custom-multi-select {
    position: relative;
    width: 195px;
}

.custom-multi-select__selected {
    padding: 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--gray);
    cursor: pointer;
}

.custom-multi-select__selected img {
    transition: all var(--transition);
}

.custom-multi-select.actie .custom-multi-select__selected {
    background-color: #EEEEEE;
}

.custom-multi-select__selected-name {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black);
}

.custom-multi-select__dropdown--row,
.custom-multi-select__dropdown--row-name,
.custom-multi-select__dropdown-contetn {
    display: flex;
    gap: 8px;
}

.custom-multi-select__dropdown--row,
.custom-multi-select__dropdown--row-name {
    align-items: center;
}

.custom-multi-select__dropdown--row-name span {
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
    color: var(--black);
}

.custom-multi-select__dropdown--row-count {
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
    color: var(--black3);
}

.custom-multi-select__dropdown--row {
    justify-content: space-between;
}


.custom-multi-select__dropdown-content {
    max-height: 264px;
    width: 100%;
    flex-direction: column;
    padding-right: 22px;
    overflow-y: auto;
}

.custom-multi-select__dropdown-content::-webkit-scrollbar {
    width: 6px;
}

.custom-multi-select__dropdown-content::-webkit-scrollbar-track {
    background: white;
}

.custom-multi-select__dropdown-content::-webkit-scrollbar-thumb {
    background: #EEEEEE;
}

.custom-multi-select__dropdown {
    position: absolute;
    top: 100%;
    padding: 16px;
    border: 2px solid #EEEEEE;
    display: none;
    flex-direction: column;
    gap: 16px;
    background-color: white;
    z-index: 10;
    width: 150%;
    transition: all var(--transition);
}

.custom-multi-select__dropdown-submit {
    width: 100%;
    outline: none;
    border: none;
    cursor: pointer;
    color: white;
    background-color: var(--black);
    font-size: 14px;
    line-height: 18.2px;
    font-weight: 400;
    padding: 15px;
    transition: all var(--transition);
}

.custom-multi-select__dropdown-submit:hover {
    background-color: #0B0B0A;
}

.custom-multi-select.active .custom-multi-select__dropdown {
    display: flex;
    background-color: white;
}

.custom-multi-select.active .custom-multi-select__selected {
    background-color: #EEEEEE;
}

.custom-multi-select.active .custom-multi-select__selected img {
    transform: rotate(180deg);
}

.custom-multi-select__dropdown--row.disabled .custom-multi-select__dropdown--row-count,
.custom-multi-select__dropdown--row.disabled .custom-multi-select__dropdown--row-name span {
    color: #EEEEEE;
}

.custom-multi-select__dropdown--row.disabled .custom-checkbox input[type="checkbox"]+label {
    background-color: #EEEEEE;
    cursor: not-allowed;
}

.custom-multi-select__dropdown--row.disabled .custom-checkbox input[type="checkbox"]+label::after {
    display: none;
}

/* custom-multi-select */

/* custom-multi-select */
.custom-checkbox input[type="checkbox"] {
    display: none;
}

.custom-checkbox label {
    display: inline-block;
    width: 24px;
    height: 24px;
    border: 1px solid #EEEEEE;
    background-color: white;
    position: relative;
    cursor: pointer;
}

.custom-checkbox input[type="checkbox"]:checked+label::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 12px;
    height: 12px;
    background-color: #C29771;
}

/* custom-multi-select */

/* pagination */
.pagination {
    display: flex;
    align-items: center;
    gap: 12px;
    padding-top: 40px;
}

.pagination .page {
    width: 27px;
    height: 27px;
    min-width: 27px;
    min-height: 27px;
    background-color: transparent;
    font-size: 18px;
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    line-height: 23.4px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--black);
    cursor: pointer;
    transition: all var(--transition);
}

.pagination .more {
    width: 13px;
    height: 27px;
    color: var(--black);
    display: flex;
    align-items: end;
}

.pagination .to-last-page {
    outline: none;
    border: none;
    padding: 12px 40px;
    width: fit-content;
    background-color: #F5F5F5;
    color: var(--brown);
    font-size: 14px;
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    line-height: 18.2px;
    transition: all var(--transition);
    cursor: pointer;
}

.pagination .to-last-page:hover,
.pagination .page:hover,
.pagination .page.active {
    color: white;
    background-color: var(--brown);
}

/* pagination */

.catalog__item-favorite {
    position: absolute;
    top: 24px;
    right: 24px;
    cursor: pointer;
}

.catalog__item-favorite::after {
    content: '';
    background-image: url(../assets/icons/favorite-passive.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    display: block;
    width: 26px;
    height: 26px;
}

.catalog__item-favorite.added::after {
    background-image: url(../assets/icons/favorite-active.svg);
}

.modal {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background: #00000080;
    z-index: 1000;
    padding: 0 40px;
    border-radius: 0;
}

.modal-content {
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 40px 0;
}

.modal .close {
    width: 29px;
    height: 29px;
    background-image: url(../assets/icons/close-modal.svg);
    background-repeat: no-repeat;
    background-position: center;
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
}

.alert {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 32px;
    padding: 24px;
    width: 100%;
    transition: top var(--transition);
    position: fixed;
    z-index: 10000;
    top: -100%;
}

.alert img {
    display: none;
}

.alert.field {
    background-color: #C27571;
}

.alert.success {
    background-color: var(--brown);
}

.alert.field,
.alert.success {
    top: 0;
}

.alert.field .cross,
.alert.success .check {
    display: block;
}

.alert__text {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: white;
}

.mobile-fixed-menu {
    padding: 8px 16px;
    width: 100%;
    position: fixed;
    bottom: 0;
    z-index: 20000;
    background-color: white;
    display: none;
    border-top: 1px solid #EEEEEE;
}

.mobile-fixed-menu__items {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
}

.mobile-fixed-menu__item {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 4px;
}

.mobile-fixed-menu__item span {
    font-size: 10px;
    font-weight: 400;
    line-height: 9.1px;
    color: var(--black3);
}

.mobile-fixed-menu__item.active span {
    color: #0D1F2D;
}

.mobile-fixed-menu__item.active svg path {
    stroke: #0D1F2D;
}

.mobile-nav__left,
.mobile-nav__right {
    display: flex;
    align-items: center;
}

.mobile-nav {
    justify-content: space-between;
    display: none;
    position: fixed;
    z-index: 1000;
    width: 100%;
    top: 0;
    background-color: white;
    display: none;
    flex-direction: column;
    align-items: center;
}

.mobile-nav__filter-sorting,
.mobile-nav__head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.mobile-nav__head {
    padding: 16px 16px 0 16px;
}

.mobile-nav__filter-sorting {
    padding: 9px 16px;
    border-bottom: 1px solid #EEEEEE;
}

.mobile-nav__left {
    gap: 8px;
}

.mobile-nav__search,
.mobile-nav__burger {
    cursor: pointer;
    width: 44px;
    height: 44px;
    padding: 10px;
}

.mobile-nav__search {
    content: url(../assets/icons/search.svg);
}

.mobile-nav__burger {
    background-color: var(--brown);
    content: url(../assets/icons/burder.svg);
}

.mobile-filter__btn {
    display: none;
    align-items: center;
    gap: 4px;
}

.sort__item,
.mobile-filter__btn span {
    font-size: 10px;
    font-weight: 400;
    line-height: 13px;
    color: var(--black);
}

/* mobile-menu */
.mobile-menu {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 40000;
    top: 0;
    left: 0;
    background-color: white;
    overflow-y: auto;
    flex-direction: column;
    justify-content: space-between;
    display: none;
}

.mobile-menu__head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 14px 16px;
    border-bottom: 1px solid #EEEEEE;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    background-color: white;
    z-index: 1;
}

.mobile-menu__logo {
    max-width: 104px;
}

.mobile-menu__logo img {
    max-width: 100%;
}

.mobile-menu__close {
    content: url(../assets/icons/cross-black.svg);
    width: 24px;
    height: 24px;
    padding: 4px;
    cursor: pointer;
}

.mobile-menu__items {
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 32px 16px;
    margin-top: 50px;
}

.mobile-menu__item {
    display: block;
    padding-bottom: 12px;
    border-bottom: 1px solid #EEEEEE;
    font-size: 16px;
    font-weight: 300;
    line-height: 20.8px;
    color: var(--black);
    width: 100%;
}

.mobile-footer,
.mobile-submenu,
.mobile-menu__item.has-child {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.mobile-menu__item.has-child {
    position: relative;
}

.mobile-menu__item.has-child>span {
    font-weight: 700;
}

.mobile-menu__item.has-child::after {
    content: '+';
    font-size: 30px;
    font-weight: 300;
    color: var(--black);
    position: absolute;
    right: 0;
}

.mobile-menu__item.has-child.active::after {
    content: '-';
}

.mobile-more-menu,
.mobile-submenu {
    margin-left: 16px;
    display: none;
    flex-direction: column;
    gap: 16px;
}

.mobile-menu__item.has-child.active .mobile-more-menu,
.mobile-menu__item.has-child.active .mobile-submenu {
    display: flex;
}

.mobile-submenu__item,
.mobile-submenu__item a {
    font-size: 14px;
    font-weight: 300;
    line-height: 18.2px;
    color: var(--black);
}

.mobile-submenu__item.title {
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    text-transform: uppercase;
    color: var(--black3);
}

.mobile-more-menu__item {
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    text-transform: uppercase;
    color: var(--black);
}

.mobile-footer {
    padding: 24px 16px;
    background-color: #F6F8FC;
}

.mobile-footer__item {
    font-size: 14px;
    font-weight: 300;
    line-height: 18.2px;
    color: var(--black);
}

/* mobile-menu */

/* mobile-search */
.mobile-search {
    display: none;
}

.mobile-search__content {
    padding: 24px 16px;
    height: 100%;
    margin-top: 50px;
}

.mobile-search__input {
    width: 100%;
    position: relative;
    height: 32px;
    background-color: #F6F8FC;
}

.mobile-search__input input {
    width: 92%;
    padding: 7px 8px;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black3);
    background: transparent;
}

.mobile-search__btn {
    width: 24px;
    height: 24px;
    content: url(../assets/icons/search.svg);
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 8px;
}

/* mobile-search */